Bug 21235 - installer choses wrong driver for dlink dfe-570tx
installer choses wrong driver for dlink dfe-570tx
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-22 05:35 EST by Matthieu Araman
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-20 22:23:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthieu Araman 2000-11-22 05:35:34 EST
this is a mutiport card
installer choses de4x5. with this driver, only the first port works and
there are bad messages on the console about autodetection....forcing the
detection doesn't work
the fix is to use the tulip driver instead
lspci -v gives Subsystem : D-Link System Inc and Unknown device 1112 
description is : Digital Equipement Corporation DECchip 21142/43 (rev 41)
the driver is loaded one time for each port configured

installer should use tulip driver for this card
Comment 1 Michael Fulbright 2000-11-22 12:14:03 EST
Passing to QA to reproduce.
Comment 2 Pekka Savola 2000-11-22 16:35:59 EST
Yes, I've seen this too, I have the exact same card.

de4x5 works with this card under very strict circumstances; 
no full duplex for example and it generates tons of syslog every second for
every interface that hasn't been connected, like:

----
eth1: media is 100Mb/s.
eth2: media is 100Mb/s.
eth1: media is unconnected, link down or incompatible connection.
eth2: media is unconnected, link down or incompatible connection.
eth1: media is 100Mb/s.
eth2: media is 100Mb/s.
eth1: media is unconnected, link down or incompatible connection.
eth2: media is unconnected, link down or incompatible connection.
---

Tulip driver is much better.  There's a small issue of forced full duplex with
it too, though.
Comment 3 Bill Nottingham 2000-12-20 22:22:59 EST
Switched in kudzu > 0.88-1.

Note You need to log in before you can comment on or make changes to this bug.